package de.starface.com.rpc.client.interceptor;

import de.starface.com.rpc.client.OutgoingRequest;
import de.starface.com.rpc.common.RpcTransportToken;
import de.starface.com.rpc.common.interceptor.RpcRequestInterceptor;

/**
 * This is an {@link RpcRequestInterceptor} for {@link OutgoingRequest}s
 *
 * @param <TransportToken>
 *        The transport token type of the request
 */
public interface OutgoingRequestInterceptor<TransportToken extends RpcTransportToken> extends
	RpcRequestInterceptor<OutgoingRequest<TransportToken>> {
	// Just defining generic type for this interface
}
