/*
 * $Id: AuthToken.java 68 2007-11-14 15:04:24Z may $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Nov 9, 2007 by may
 * 
 * $HeadURL:
 * http://192.168.2.2/repos/verticomisc/xmpp-xml-rpc/src/de/vertico/com/xmlrpc/server/AuthToken.java
 * $
 * 
 * $LastChangedDate: 2007-11-14 16:04:24 +0100 (Wed, 14 Nov 2007) $ $LastChangedBy: may $
 * $LastChangedRevision: 68 $
 */
/**
 *
 */
package de.starface.com.rpc.common.authentication;

import de.starface.com.rpc.common.RpcTransportToken;

/**
 * This interface represents a token which is used for authentication via transport. On the server
 * side the RpcAuthToken is resolved by the {@link RpcAuthTokenConverter} from the RpcTransportToken
 * provided by a RPC request. The RpcAuthToken is used when a RPC request is processed to perform
 * identification of the caller.
 *
 * @author may
 *
 * @see RpcTransportToken
 * @see RpcAuthTokenConverter
 */
public interface RpcAuthToken {
	// Methods to be defined by concrete implementations
}
