/*
 * $Id: XmlRpcPacketProvider.java 398 2011-07-13 13:25:25Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Nov 6, 2007 by may
 * 
 * $HeadURL:
 * http://192.168.2.2/repos/verticomisc/xmpp-xml-rpc/src/de/vertico/com/xmpp/smack/XmlRpcPacketProvider
 * .java $
 * 
 * $LastChangedDate: 2011-07-13 15:25:25 +0200 (Wed, 13 Jul 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 398 $
 */
/**
 *
 */
package de.starface.com.xmpp.smack;

import de.starface.com.rpc.xmlrpc.XmlRpcObjectParser;
import de.starface.com.rpc.xmlrpc.smack.XmppXmlRpcObjectBuilder;

import org.jivesoftware.smack.packet.IQ;
import org.jivesoftware.smack.provider.IQProvider;
import org.xmlpull.v1.XmlPullParser;

/**
 * PacketProvider for the Smack XMPP-Library.
 *
 * Adds the ability to read and write XML-RPC packets
 *
 * @author may
 *
 */
public class XmlRpcPacketProvider implements IQProvider {

	public IQ parseIQ(XmlPullParser pullParser) throws Exception {
		XmppXmlRpcObjectBuilder objectBuilder = new XmppXmlRpcObjectBuilder();
		XmlRpcObjectParser objectParser = new XmlRpcObjectParser(objectBuilder, "query");

		objectParser.parse(pullParser);

		return objectBuilder.getBuildResult();
	}
}
