/*
 * $Id: FaxListEntryFolder.java 603 2011-07-20 14:35:28Z mphilippi $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Aug 12, 2009 by may
 * 
 * $HeadURL: http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/starface/integration/uci/v21/
 * FaxListEntryFolder.java $
 * 
 * $LastChangedDate: 2011-07-20 16:35:28 +0200 (Wed, 20 Jul 2011) $ $LastChangedBy: mphilippi $
 * $LastChangedRevision: 603 $
 */
package de.starface.integration.uci.java.v22.values;

/**
 * This enum holds the constants used for the fax list entry property
 * {@link FaxListEntryProperties#folder}.
 *
 * @author tilmann
 */
public enum FaxListEntryFolder {
	/** The fax is in the folder for new faxes */
	NEW,

	/** The fax is in the folder with old faxes */
	OLD,

	/** The fax is in the private folder */
	PRIVATE,

	/** The fax is the folder for send faxes */
	SENT,
}
