/*
 * $Id: RedirectSettingDestinationType.java 482 2011-01-25 15:21:54Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL: http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/starface/integration/uci/v21/
 * RedirectSettingDestinationType.java $
 * 
 * $LastChangedDate: 2011-01-25 16:21:54 +0100 (Tue, 25 Jan 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 482 $
 */
package de.starface.integration.uci.java.v22.values;

/**
 * This enum holds the constants used for the redirect setting property
 * {@link RedirectSettingProperties#destinationType}.
 *
 * @author tilmann
 */
public enum RedirectSettingDestinationType {
	/** The redirect destination is a voicemail box */
	VOICEMAIL,

	/** The redirect destination is a phone number */
	PHONENUMBER
}
