package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;

@RpcValueObject
public class InternalNumberBlock implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * Anlagenprefix des NummerBlocks
	 */
	@RpcValue
	private String prefix;

	/**
	 * Erste Rufnummer des NummerBlocks
	 */
	@RpcValue
	private String internalNumberRangeStart;

	/**
	 * Letzte Rufnummer des NummerBlocks
	 */
	@RpcValue
	private String internalNumberRangeEnd;

	@Override
	public String toString() {
		return "InternalNumberBlock [prefix=" + prefix + ", internalNumberRangeStart=" + internalNumberRangeStart
			+ ", internalNumberRangeEnd=" + internalNumberRangeEnd + "]";
	}

	public String getPrefix() {
		return prefix;
	}

	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}

	public String getInternalNumberRangeStart() {
		return internalNumberRangeStart;
	}

	public void setInternalNumberRangeStart(String internalNumberRangeStart) {
		this.internalNumberRangeStart = internalNumberRangeStart;
	}

	public String getInternalNumberRangeEnd() {
		return internalNumberRangeEnd;
	}

	public void setInternalNumberRangeEnd(String internalNumberRangeEnd) {
		this.internalNumberRangeEnd = internalNumberRangeEnd;
	}

}
