package de.starface.integration.uci.java.v30.values;


public enum InternalNumberBlockProperties {
	prefix(String.class),
	internalNumberRangeStart(String.class),
	internalNumberRangeEnd(String.class);

	private Class<?> type;

	InternalNumberBlockProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}
}
