package de.starface.integration.uci.java.v30.values;

public enum QueueCallState {
	/**
	 * The caller entered the queue, but there is no free agent yet.
	 */
	waiting,
	/**
	 * The call rings on one or more free agents now.
	 */
	ringing,
	/**
	 * The call is connected with an agent now.
	 */
	connected,
	/**
	 * The call has exited the queue environment e.g. by hangup or by transfer.
	 */
	exited;
}
