package de.starface.com.rpc.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * Types annotated with this annotation can be used for value translation during RPC calls.
 */
@Documented
@Inherited
@Retention(RUNTIME)
@Target(TYPE)
public @interface RpcValueObject {
	// No additional attributes
}
