package de.starface.com.rpc.annotation;

/**
 * This enum defines the RPC types that can be used during RPC value translation.
 *
 * @author tilmann
 */
public enum RpcValueType {
	/** Determine the RPC type automatically from the Java type of the RPC value field */
	Automatic,

	Integer,
	Boolean,
	String,
	Double,
	DateTime,
	Base64,
	Struct,
	Array
}
