/*
 * $Id: TransportToken.java 68 2007-11-14 15:04:24Z may $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Nov 12, 2007 by may
 * 
 * $HeadURL:
 * http://192.168.2.2/repos/verticomisc/xmpp-xml-rpc/src/de/vertico/com/xmlrpc/server/TransportToken
 * .java $
 * 
 * $LastChangedDate: 2007-11-14 16:04:24 +0100 (Wed, 14 Nov 2007) $ $LastChangedBy: may $
 * $LastChangedRevision: 68 $
 */

package de.starface.com.rpc.common;

/**
 * Identification of a concrete transport channel and target address in this channel which is used
 * to send an RPC request.
 *
 * @author may
 *
 * @see RpcRequest
 */
public interface RpcTransportToken {
	// Methods to be defined by concrete implementations

	public String getIdentifierString();
}
