package de.starface.com.rpc.server.interceptor;

import de.starface.com.rpc.common.RpcTransportToken;
import de.starface.com.rpc.common.interceptor.RpcRequestInterceptor;
import de.starface.com.rpc.server.IncomingRequest;

/**
 * This is an {@link RpcRequestInterceptor} for {@link IncomingRequest}s
 *
 * @param <TransportToken>
 *        The transport token type of the request
 */
public interface IncomingRequestInterceptor<TransportToken extends RpcTransportToken> extends
	RpcRequestInterceptor<IncomingRequest<TransportToken>> {
	// Just defining generic type argument for this interface
}
