package de.starface.com.rpc.unittests.common.valuetranslation;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.com.rpc.services.filetransfer.RpcFile;

import java.io.File;

@RpcValueObject
public class AFTTestBean {
	@RpcValue
	private File file;

	@RpcValue
	private RpcFile rpcFile;

	public AFTTestBean() {
		// Provide empty constructor
	}

	public AFTTestBean(File file, RpcFile rpcFile) {
		this.file = file;
		this.rpcFile = rpcFile;
	}

	public File getFile() {
		return file;
	}

	public void setFile(File file) {
		this.file = file;
	}

	public RpcFile getRpcFile() {
		return rpcFile;
	}

	public void setRpcFile(RpcFile rpcFile) {
		this.rpcFile = rpcFile;
	}

	@Override
	public String toString() {
		return "AFTTestBean [file=" + file + ", rpcFile=" + rpcFile + "]";
	}
}
