/*
 * Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.v22.client;

/**
 * The UciProxy provides {@link UciServiceRequests} and {@link UciConnectionRequests}. The former
 * are used to communicate with STARFACE the latter are used to establish the connection with
 * STARFACE.
 *
 * @author tilmann
 */
public interface UciProxy extends UciServiceRequests, UciConnectionRequests {
	// Just combining the super interfaces, no additional methods defined.
}
