/*
 * $Id: OrderDirection.java 482 2011-01-25 15:21:54Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/vertico/starface/integration/uci/
 * v21/OrderDirection.java $
 * 
 * $LastChangedDate: 2011-01-25 16:21:54 +0100 (Tue, 25 Jan 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 482 $
 */
package de.starface.integration.uci.java.v22.values;

/**
 * Defines some values used in UCI requests that define how list result lists will be ordered.
 *
 * @author tilmann
 */
public enum OrderDirection {
	/** Order ascending */
	ASCENDING,

	/** Order descending */
	DESCENDING
}
