package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;

@RpcValueObject
public class FmcScheduleEntry implements Serializable {
	private static final long serialVersionUID = -1372841590623376979L;

	@RpcValue(minVersion = 30)
	private boolean monday = false;

	@RpcValue(minVersion = 30)
	private boolean tuesday = false;

	@RpcValue(minVersion = 30)
	private boolean wednesday = false;

	@RpcValue(minVersion = 30)
	private boolean thursday = false;

	@RpcValue(minVersion = 30)
	private boolean friday = false;

	@RpcValue(minVersion = 30)
	private boolean saturday = false;

	@RpcValue(minVersion = 30)
	private boolean sunday = false;

	@RpcValue(minVersion = 30)
	private String timeBegin = "";

	@RpcValue(minVersion = 30)
	private String timeEnd = "";

	/**
	 * @return the monday
	 */
	public boolean isMonday() {
		return monday;
	}

	/**
	 * @param monday
	 *        the monday to set
	 */
	public void setMonday(boolean monday) {
		this.monday = monday;
	}

	/**
	 * @return the tuesday
	 */
	public boolean isTuesday() {
		return tuesday;
	}

	/**
	 * @param tuesday
	 *        the tuesday to set
	 */
	public void setTuesday(boolean tuesday) {
		this.tuesday = tuesday;
	}

	/**
	 * @return the wednesday
	 */
	public boolean isWednesday() {
		return wednesday;
	}

	/**
	 * @param wednesday
	 *        the wednesday to set
	 */
	public void setWednesday(boolean wednesday) {
		this.wednesday = wednesday;
	}

	/**
	 * @return the thursday
	 */
	public boolean isThursday() {
		return thursday;
	}

	/**
	 * @param thursday
	 *        the thursday to set
	 */
	public void setThursday(boolean thursday) {
		this.thursday = thursday;
	}

	/**
	 * @return the friday
	 */
	public boolean isFriday() {
		return friday;
	}

	/**
	 * @param friday
	 *        the friday to set
	 */
	public void setFriday(boolean friday) {
		this.friday = friday;
	}

	/**
	 * @return the saturday
	 */
	public boolean isSaturday() {
		return saturday;
	}

	/**
	 * @param saturday
	 *        the saturday to set
	 */
	public void setSaturday(boolean saturday) {
		this.saturday = saturday;
	}

	/**
	 * @return the sunday
	 */
	public boolean isSunday() {
		return sunday;
	}

	/**
	 * @param sunday
	 *        the sunday to set
	 */
	public void setSunday(boolean sunday) {
		this.sunday = sunday;
	}

	/**
	 * @return the timeBegin in the following format: 08:15 or 23:55
	 */
	public String getTimeBegin() {
		return timeBegin;
	}

	/**
	 * @param timeBegin
	 *        the timeBegin to set in the following format: 08:15 or 23:55
	 */
	public void setTimeBegin(String timeBegin) {
		this.timeBegin = timeBegin;
	}

	/**
	 * @return the timeEnd in the following format: 08:15 or 23:55
	 */
	public String getTimeEnd() {
		return timeEnd;
	}

	/**
	 * @param timeEnd
	 *        the timeEnd to set in the following format: 08:15 or 23:55
	 */
	public void setTimeEnd(String timeEnd) {
		this.timeEnd = timeEnd;
	}
}
