/*
 * $Id$
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL: http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/starface/integration/uci/v21/
 * CallListEntryResult.java $
 * 
 * $LastChangedDate$ $LastChangedBy$
 * $LastChangedRevision$
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum holds the constants used for the value of the call list entry property
 * {@link CallListEntryProperties#result}.
 *
 * @author tilmann
 *
 */
public enum CallListEntryResult {
	/** The call has been answered */
	ANSWERED,

	/** The call has been missed */
	MISSED,

	/** The call has been missed or answered */
	BOTH
}
